package com.m2pool.chat.entity;

import lombok.Data;

import java.security.Principal;

/**
 * stomp用户身份信息
 */
@Data
public class StompPrincipal implements Principal {
    String name;

    Integer type;

    Boolean isCreate;

    public StompPrincipal(String name,Integer type,Boolean create) {
        this.name = name;
        this.type = type;
        this.isCreate = create;
    }


    @Override
    public String getName() {
        return name;
    }

}